Skip to content

getMethodTree

READ

Get method tree.

POST /api/v1/items/getMethodTree
curl -X POST '<your-host>/api/v1/items/getMethodTree' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "makeMethodId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "data": {
        "description": "string",
        "externalId": "…",
        "isPickDescendant": true,
        "isRoot": true,
        "itemId": "string",
        "itemReadableId": "string",
        "itemTrackingType": "string",
        "itemType": "string",
        "kit": true,
        "makeMethodId": "string",
        "materialMakeMethodId": "string",
        "methodMaterialId": "string",
        "methodOperationStepIds": "…",
        "methodType": "Purchase to Order",
        "operationId": "string",
        "order": 0,
        "parentMaterialId": "string",
        "quantity": 0,
        "replenishmentSystem": "Buy",
        "revision": "string",
        "storageUnitIds": "…",
        "unitCost": 0,
        "unitOfMeasureCode": "string",
        "version": 0
      },
      "children": [
        "…"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "makeMethodId": {
      "type": "string"
    }
  },
  "required": [
    "makeMethodId"
  ]
}